package be.iminds.ilabt.jfed.experimenter_gui.bugreporting;

import javax.xml.namespace.QName;

/**
 * User: twalcari
 * Date: 4/3/2015
 * Time: 15:00
 */
public class BugReportConstants {

    public final static QName Q_BUGREPORT = new QName("bugreport");
    public final static QName Q_DESCRIPTION = new QName("description");
    public final static QName Q_EMAIL = new QName("mail");
    public final static QName Q_VERSION = new QName("version");
    public final static QName Q_ENVIRONMENT = new QName("environment");
    public final static QName Q_REPORTER_CREDENTIAL = new QName("reporterCredential");
    public final static QName Q_LOGGEDIN_USER_INFO = new QName("loggedInUserInfo");
    public final static QName Q_PREFERENCES = new QName("preferences");

    public final static QName Q_CALLS = new QName("calls");
    public final static QName Q_CALL = new QName("call");

    public final static QName Q_STITCHING_REPORTS = new QName("stitchingreports");

    public final static QName Q_LOG = new QName("log");
    public final static QName Q_LOGLINE = new QName("logline");
    public final static QName Q_LEVEL = new QName("level");
    public final static QName Q_CLASSNAME = new QName("className");
    public final static QName Q_DATETIME = new QName("dateTime");
    public final static QName Q_TIME = new QName("time");
    public final static QName Q_THREADNAME = new QName("threadName");
    public final static QName Q_MESSAGE = new QName("message");
    public final static QName Q_EXCEPTION = new QName("exception");



    public final static QName Q_CONNECTIVITY_TESTS = new QName("connectivity-tests");
    public final static QName Q_CONNECTIVITY_TEST = new QName("connectivityTests");
    public final static QName Q_NAME = new QName("name");
    public final static QName Q_STATUS = new QName("status");


    public final static QName Q_SLICES = new QName("slices");
    public final static QName Q_SLICE = new QName("slice");
    public final static QName Q_SLICE_URN = new QName("sliceUrn");
    public final static QName Q_SLIVER = new QName("sliver");
    public final static QName Q_SLIVER_URN = new QName("sliverUrn");
    public final static QName Q_CURRENT_STATUS = new QName("currentStatus");
    public final static QName Q_EXPIRATION_DATE = new QName("expiration-date");

    public final static QName Q_COMPONENTS = new QName("components");
    public final static QName Q_COMPONENT = new QName("component");
    public final static QName Q_SLIVER_STATUS = new QName("sliverStatus");

    public final static QName Q_ERROR = new QName("error");
    public final static QName Q_TIMESTAMP = new QName("error");
    public final static QName Q_COMPONENT_URN = new QName("componentUrn");


    public final static QName Q_HAS_MANIFEST = new QName("has_manifest");

    public final static QName Q_SCREENSHOT = new QName("screenshot");

    public final static QName Q_JOB_REPORTS = new QName("job-reports");
    public final static QName Q_JOB_REPORT = new QName("job-report");
    public final static QName Q_TASK_EXECUTIONS = new QName("task-executions");
    public final static QName Q_TASK_EXECUTION = new QName("task-execution");
    public final static QName Q_ID = new QName("id");
    public final static QName Q_TASK_CLASS = new QName("task-class");

    public static final QName Q_TITLE = new QName("title");

    public static final QName Q_STATES = new QName("states");
    public static final QName Q_STATE = new QName("state");


    public static final QName Q_START = new QName("start");
    public static final QName Q_END = new QName("end");

    public static final QName Q_LOGENTRIES = new QName("logentries");
    public static final QName Q_LOGENTRY = new QName("logentry");

    public static final QName Q_TYPE = new QName("type");
    public static final QName Q_TEXT = new QName("text");
    public static final QName Q_TIME_IN_MS = new QName("timeInMs");

    public static final QName Q_CALL_REF = new QName("call-ref");
    public static final QName Q_CALL_REF_ID = new QName("id");


    public static final QName Q_STATESTATE = new QName("statestate");



}
